aboutsummaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorGravatar Jason Gross <jgross@mit.edu>2018-03-22 02:22:03 -0400
committerGravatar Jason Gross <jgross@mit.edu>2018-03-22 02:22:03 -0400
commit05006114c3843b3e87c9cecaf1b6ece34c3843c2 (patch)
tree47d4eaf6948b4d8c3679be13a9eee4a1a45d6754 /etc
parent061a85266366770e4a2d828dd6054617642a9008 (diff)
Die early if we can't create the archive
This would have caught the issue fixed by the previous commit much earlier.
Diffstat (limited to 'etc')
-rwxr-xr-xetc/ci/travis.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/etc/ci/travis.sh b/etc/ci/travis.sh
index 6c2971685..b2bac80a1 100755
--- a/etc/ci/travis.sh
+++ b/etc/ci/travis.sh
@@ -12,7 +12,7 @@ mkdir -p "${CACHE_DIR}"
make "$@" -j2 TIMED=1 2>&1 | tee -a time-of-build.log
python "./etc/coq-scripts/timing/make-one-time-file.py" "time-of-build.log" "time-of-build-pretty.log" || exit $?
rm -f "${CUR_ARCHIVE}"
-tar -czf "${CUR_ARCHIVE}" time-of-build.log src bbv coqprime
+tar -czf "${CUR_ARCHIVE}" time-of-build.log src bbv coqprime || exit $?
cat time-of-build-pretty.log
make "$@" -j2 TIMED=1 || exit $?